# guitarix has merged with gx_head branch and tarball is distributed as guitarix2
# project name remains guitarix however
%global altname gx_head
%global altname2 guitarix2

Name:           guitarix
Version:        0.22.3
Release:        1%{?dist}
Summary:        Mono amplifier to JACK
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://guitarix.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/%{name}/%{altname2}-%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  faust
BuildRequires:  fftw-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  ladspa-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  libsndfile-devel
BuildRequires:  zita-convolver-devel >= 3.0.2
BuildRequires:  zita-resampler-devel >= 0.1.1-3
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  boost-devel

Requires:       jack_capture
Requires:       jconv
Requires:       ladspa-%{name}-plugins = %{version}-%{release}
Requires:       qjackctl
Requires:       vorbis-tools
Provides:       gx_head = %{version}-%{release}
Obsoletes:      gx_head < 0.14.0-4

%description
Guitarix is a simple mono amplifier to be used in a 'JACKified' environment,
i.e. a system using the JACK Audio Connection Kit, a professionally-capable
audio/MIDI server and master transport control.

Guitarix provides one JACK input port and two JACK output ports. It is designed
to produce nice trash/metal/rock/blues guitar sounds. Controls for bass, treble,
gain, compressor, preamp, balance, distortion, freeverb, crybaby (wah) and echo
are available. A fixed resonator is used when distortion is disabled. To modify
the sound 'pressure', you can use the feedback and feedforward sliders.

Guitarix includes an experimental tuner and a JACK MIDI output port with 3
channels. They are fed by a mix from a pitch tracker and a beat detector. You
can pitch the octave (2 octaves up or down), choose the MIDI channel, the MIDI
program, the velocity and the sensitivity, which translates into how fast the
note will read after the beat detector emits a signal. Values for the beat
detector can be set for all channels.

%package -n ladspa-%{name}-plugins
Summary:        Collection of Ladspa plug-ins
Group:          Applications/Multimedia
# ladspa/distortion.cpp and ladspa/guitarix-ladspa.cpp are BSD
# The rest of ladspa/* is GPLv+
License:        GPL+ and BSD
Requires:       ladspa

%description -n ladspa-%{name}-plugins
This package contains the crybaby, distortion, echo, impulseresponse, monoamp,
and monocompressor ladspa plug-ins that come together with guitarix, but can
also be used by any other ladspa host.

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

# The build system does not use these bundled libraries by default. But
# just to make sure:
rm -fr src/zita-convolver src/zita-resampler
sed -i -e 's|-O3|%{optflags}|' wscript

%build
./waf -vv configure --prefix=%{_prefix}                                      \
      --cxxflags="-std=c++0x -fomit-frame-pointer -ftree-loop-linear         \
      -ffinite-math-only -fno-math-errno -fno-signed-zeros -fstrength-reduce \
%ifarch %ix86 x86_64
      -msse                                                                  \
%endif
      %{optflags}"                                                           \
      --ladspadir=%{_libdir}/ladspa
./waf -vv build %{?_smp_mflags}

%install
rm -rf %{buildroot}
./waf -vv install --destdir="%{buildroot}"

desktop-file-install                                    \
--add-category="X-DigitalProcessing"                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

chmod 644 %{buildroot}/%{_datadir}/%{altname}/sounds/*
chmod 644 %{buildroot}/%{_datadir}/%{altname}/skins/*

%find_lang %{name}

%files -f %{name}.lang
%doc changelog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{altname}/
%{_datadir}/ladspa/rdf/%{name}.rdf
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%files -n ladspa-%{name}-plugins
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa

%changelog
* Tue May 15 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.22.3-1
- Update to upstream 0.22.3

* Thu May 03 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.22.2-1
- Update to upstream 0.22.2

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21.0-2
- Rebuilt for c++ ABI breakage

* Tue Jan 17 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.21.0-1
- Update to upstream 0.21.0, correct fail to build (missing glibmm headers)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 12 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.20.2-3
- Add boost-devel build requires

* Sat Nov 12 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.20.2-2
- Removed libboost library detection fix

* Sat Nov 12 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.20.2-1
- Update to upstream release 0.20.2

* Tue Nov 08 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.20.0-2
- Update to upstream release 0.20.0

* Sun Oct 30 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.20.0-1.0.svn1278
- Grab source from latest svn, and removed FSF patch
- Rebuild for libpng 1.5
- Removed obsolete tags and clean section from spec

* Sun Oct 30 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.19.0-1.0.svn1245
- Grab source from svn to rebuild against zita-convolver-3

* Fri Jul 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.17.0-1
- Update to 0.17.0, replace define macro with global

* Wed Jun 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.16.0-3
- Add BuildRequires gettext

* Wed Jun 15 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.16.0-2
- Add BuildRequires gettext

* Mon Jun 14 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.16.0-1
- Updated to version 0.16.0-1 which combines guitarix and gx_head
- Obsoletes gx_head
- Correct build of ladspa plugins and removed O3 optimizations

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 25 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.1-1
- Update to 0.11.1

* Wed Aug 04 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.11.0-1
- Update to 0.11.0

* Tue Jul 27 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.10.0-3
- Rebuild against new boost on F-14

* Fri Jul 16 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.10.0-2
- Add missing BR: gtkmm24-devel

* Sun Jul 11 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.10.0-1
- Update to 0.10.0

* Sat Jun 26 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.09.0-1
- Update to 0.09.0
- Split the ladspa plugins into a separate package as they can also be used by
  other hosts than guitarix.

* Sat May 15 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.08.0-1
- Update to 0.08.0

* Sat Feb 20 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.06.0-1
- Update to 0.06.0

* Sat Jan 30 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.05.8-1
- Update to 0.05.8

* Thu Dec 24 2009 Orcan Ogetbil <orcan@desitter> - 0.05.5-1
- Update to 0.05.5
- Add Requires: qjackctl. RHBZ #549566

* Wed Aug 05 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.05.0-2
- Update .desktop file

* Mon Jul 27 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.05.0-1
- Update to 0.05.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.6-1
- Update to 0.04.6 (build system uses waf now)
- License is GPLv2+
- Add missing Requires: ladspa

* Tue May 26 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.5-1
- Update to 0.04.5

* Thu May 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.4-1
- Update to 0.04.4
- Drop upstreamed patches

* Sat May 09 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.04.3-1
- Initial build
